Bug 25868 - Transfers page must show effective itemtype
Summary: Transfers page must show effective itemtype
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-24 15:02 UTC by Fridolin SOMERS
Modified: 2020-09-18 19:58 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03, 19.11.09


Attachments
Bug 25868 : Fix tansfers page to show effective itemtype (6.27 KB, patch)
2020-06-24 15:08 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 25868 - Screenshots of behavour (81.13 KB, application/pdf)
2020-06-28 19:16 UTC, David Nind
Details
Bug 25868 : Fix tansfers page to show effective itemtype (9.75 KB, patch)
2020-06-29 07:26 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 25868 : Fix tansfers page to show effective itemtype (9.81 KB, patch)
2020-06-29 09:28 UTC, David Nind
Details | Diff | Splinter Review
Bug 25868: Fix tansfers page to show effective itemtype (9.87 KB, patch)
2020-07-04 22:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2020-06-24 15:02:57 UTC
In transfers page /cgi-bin/koha/circ/branchtransfers.pl :
Itemtype is always from biblioitems.itemtype, regardless of system preference item-level_itypes.
Also template should use the object Koha::Item.
Comment 1 Fridolin SOMERS 2020-06-24 15:08:39 UTC
Created attachment 106256 [details] [review]
Bug 25868 : Fix tansfers page to show effective itemtype

In transfers page /cgi-bin/koha/circ/branchtransfers.pl :
Itemtype is always from biblioitems.itemtype, regardless of system preference item-level_itypes.

Patch also changes template to use the object Koha::Item.

Test plan :
1) Test with both values of system preference 'item-level_itypes'
2) Go to Circulation > Transfert
3) Enter a barcode
4) Enter another barcode
5) Check you see in table all datas and that 'Item type' is correct
Comment 2 David Nind 2020-06-28 19:16:56 UTC
Created attachment 106360 [details]
Bug 25868 - Screenshots of behavour

Hi Fridolin.

This change now works as expected.

However, if you do two transfers (one after the other for different items) the list of transfers shows:
- the last transfer entered, and 
- the previous transfers show as "No title" and the link doesn't go anywhere

See before and after screenshots.

David
Comment 3 Fridolin SOMERS 2020-06-29 07:24:45 UTC
(In reply to David Nind from comment #2)
> Created attachment 106360 [details]
> Bug 25868 - Screenshots of behavour
> 
> Hi Fridolin.
> 
> This change now works as expected.
> 
> However, if you do two transfers (one after the other for different items)
> the list of transfers shows:
> - the last transfer entered, and 
> - the previous transfers show as "No title" and the link doesn't go anywhere
> 
> See before and after screenshots.
> 
> David

Thanks a lot for testing, i'got a fix ;)
Comment 4 Fridolin SOMERS 2020-06-29 07:26:37 UTC
Created attachment 106380 [details] [review]
Bug 25868 : Fix tansfers page to show effective itemtype

In transfers page /cgi-bin/koha/circ/branchtransfers.pl :
Itemtype is always from biblioitems.itemtype, regardless of system preference item-level_itypes.

Patch also changes template to use the object Koha::Item.

Patch also fixes a small typo : closed <form> tag.

Test plan :
1) Test with both values of system preference 'item-level_itypes'
2) Go to Circulation > Transfert
3) Enter a barcode
4) Enter another barcode
5) Check you see in table all datas and that 'Item type' is correct
Comment 5 David Nind 2020-06-29 09:28:07 UTC
Created attachment 106385 [details] [review]
Bug 25868 : Fix tansfers page to show effective itemtype

In transfers page /cgi-bin/koha/circ/branchtransfers.pl :
Itemtype is always from biblioitems.itemtype, regardless of system preference item-level_itypes.

Patch also changes template to use the object Koha::Item.

Patch also fixes a small typo : closed <form> tag.

Test plan :
1) Test with both values of system preference 'item-level_itypes'
2) Go to Circulation > Transfers
3) Enter a barcode
4) Enter another barcode
5) Check you see in table all datas and that 'Item type' is correct

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 Katrin Fischer 2020-07-04 22:52:13 UTC
Created attachment 106529 [details] [review]
Bug 25868: Fix tansfers page to show effective itemtype

In transfers page /cgi-bin/koha/circ/branchtransfers.pl :
Itemtype is always from biblioitems.itemtype, regardless of system preference item-level_itypes.

Patch also changes template to use the object Koha::Item.

Patch also fixes a small typo : closed <form> tag.

Test plan :
1) Test with both values of system preference 'item-level_itypes'
2) Go to Circulation > Transfert
3) Enter a barcode
4) Enter another barcode
5) Check you see in table all datas and that 'Item type' is correct

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2020-07-20 12:08:12 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-07-24 21:45:38 UTC
backported to 20.05.x for 20.05.03
Comment 9 Aleisha Amohia 2020-08-03 22:22:13 UTC
backported to 19.11.x for 19.11.09
Comment 10 Victor Grousset/tuxayo 2020-09-18 19:58:57 UTC
Not backported to oldoldstable (19.05.x). Feel free to ask if it's needed.